Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1User

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1User

Record Components:
  `fieldId` - The user ID.
  `fieldIdName` - The user ID name.
  `fieldRealName` - The user real name.
  `fieldEmails` - The user emails.
  `fieldTimeCreated` - The time the user was created.
  `fieldTimeUpdated` - The time the user was last updated.
  `fieldPassword` - The hashed user password.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record IdA1User(com.io7m.cedarbridge.runtime.api.CBUUID fieldId, com.io7m.cedarbridge.runtime.api.CBString fieldIdName, com.io7m.cedarbridge.runtime.api.CBString fieldRealName, com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldEmails, IdA1TimestampUTC fieldTimeCreated, IdA1TimestampUTC fieldTimeUpdated, IdA1Password fieldPassword) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
A user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1User(com.io7m.cedarbridge.runtime.api.CBUUID fieldId, com.io7m.cedarbridge.runtime.api.CBString fieldIdName, com.io7m.cedarbridge.runtime.api.CBString fieldRealName, com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldEmails, IdA1TimestampUTC fieldTimeCreated, IdA1TimestampUTC fieldTimeUpdated, IdA1Password fieldPassword)`
  Creates an instance of a `IdA1User` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1User`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1User.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldEmails()`
  Returns the value of the `fieldEmails` record component.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldId()`
  Returns the value of the `fieldId` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldIdName()`
  Returns the value of the `fieldIdName` record component.
  `IdA1Password`
  `fieldPassword()`
  Returns the value of the `fieldPassword` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldRealName()`
  Returns the value of the `fieldRealName` record component.
  `IdA1TimestampUTC`
  `fieldTimeCreated()`
  Returns the value of the `fieldTimeCreated` record component.
  `IdA1TimestampUTC`
  `fieldTimeUpdated()`
  Returns the value of the `fieldTimeUpdated` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1User $x)`
  Serialize a value of type IdA1User.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1User

    public IdA1User(com.io7m.cedarbridge.runtime.api.CBUUID fieldId, com.io7m.cedarbridge.runtime.api.CBString fieldIdName, com.io7m.cedarbridge.runtime.api.CBString fieldRealName, com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldEmails, IdA1TimestampUTC fieldTimeCreated, IdA1TimestampUTC fieldTimeUpdated, IdA1Password fieldPassword)
    Creates an instance of a `IdA1User` record class.
    Parameters:
      `fieldId` - the value for the `fieldId` record component
      `fieldIdName` - the value for the `fieldIdName` record component
      `fieldRealName` - the value for the `fieldRealName` record component
      `fieldEmails` - the value for the `fieldEmails` record component
      `fieldTimeCreated` - the value for the `fieldTimeCreated` record component
      `fieldTimeUpdated` - the value for the `fieldTimeUpdated` record component
      `fieldPassword` - the value for the `fieldPassword` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1User $x) throws IOException
    Serialize a value of type IdA1User.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1User deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1User.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1User.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldId

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldId()
    Returns the value of the `fieldId` record component.
    Returns:
      the value of the `fieldId` record component

  - ### fieldIdName

    public com.io7m.cedarbridge.runtime.api.CBString fieldIdName()
    Returns the value of the `fieldIdName` record component.
    Returns:
      the value of the `fieldIdName` record component

  - ### fieldRealName

    public com.io7m.cedarbridge.runtime.api.CBString fieldRealName()
    Returns the value of the `fieldRealName` record component.
    Returns:
      the value of the `fieldRealName` record component

  - ### fieldEmails

    public com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldEmails()
    Returns the value of the `fieldEmails` record component.
    Returns:
      the value of the `fieldEmails` record component

  - ### fieldTimeCreated

    public IdA1TimestampUTC fieldTimeCreated()
    Returns the value of the `fieldTimeCreated` record component.
    Returns:
      the value of the `fieldTimeCreated` record component

  - ### fieldTimeUpdated

    public IdA1TimestampUTC fieldTimeUpdated()
    Returns the value of the `fieldTimeUpdated` record component.
    Returns:
      the value of the `fieldTimeUpdated` record component

  - ### fieldPassword

    public IdA1Password fieldPassword()
    Returns the value of the `fieldPassword` record component.
    Returns:
      the value of the `fieldPassword` record component